# 学习使用 Git 管理项目

本文是以项目为主导的的Git学习教程，教程开始先学习在实际项目中如何使用 Git 管理项目，其次了解使用 Git 过程中出现的一些错误以及解决方案，教程的最后在研究具体的 Git 命令，阅读本教程你将学到：

##### [1. 安装 TortoiseGit](./TortoiseGit/安装步骤详解.md)

##### [2. 配置 TortoiseGit](./TortoiseGit/配置步骤详解.md)

##### [3. 使用 TortoiseGit 管理项目](./TortoiseGit/管理项目详解.md)

##### [4. 使用过程中遇到的错误以及解决方案]()

##### [5. 原生 Git 命令详解]()

##### [5. 使用原生 Git 命令管理项目]()

>由于当前使用的任何电脑都早已配置完备,时间太久,因此难免有些内容不完善或者谬误,欢迎指正,对于 Git 使用过程中遇到的错误希望可以提出 <font face="KaTeX_Math" size=5 color=red style="color:red">issue</font> 或者提交 <font face="KaTeX_Math" size=5 color=green>PR</font> 甚至直接克隆仓库提交修改

