
## 使用 TortoiseGit 管理项目

[toc]

---

### 克隆一个远程仓库的项目

##### 1. 获取项目地址  
![步骤一](../TortoiseGit/images/usage-step-1.png)

##### 2. 本地选择一个空文件夹，右键选择图中的选项
![步骤二](../TortoiseGit/images/usage-step-2.png)

##### 3. 点击确认即可将仓库克隆到本地  
![步骤二](../TortoiseGit/images/usage-step-3.png)

##### 4. 至此，可以在本地的项目中进行各种修改
   
### 修改项目并提交

> $\color{red}{修改项目后必须进行两步操作才可以将本地修改同步到远程仓库}$
> $\color{red}{这个不同于 SVN（SVN只需要一步即可）}$

1. 项目根目录下右键，选择**提交**选项 ![步骤一](../TortoiseGit/images/usage-step-4.png)

2. 将本地修改的内容提交到**本地**仓库 ![步骤二](../TortoiseGit/images/usage-step-4.png)

3. 项目根目录下右键，选择**推送**选项 ![步骤三](../TortoiseGit/images/usage-step-5.png)

4. 将本地修改的内容推送到**远程**仓库 ![步骤四](../TortoiseGit/images/usage-step-5.png)

!!! warning 先提交到本地仓库,在推送到远程仓库,不能打乱顺序

### 拉取并且合并他人提交的内容

!!! info 在团队协作开发中,我们需要拉取其他成员的代码到本地仓库,这个时候可以选择两个操作 $\color{red}{拉取}$或者$\color{red}{获取}$,拉取是在下载远程仓库最新代码后执行了自动执行了$\color{green}{合并}$操作而获取则是只拉取最新代码不执行合并操作,在项目的实际开发中基本只需要$\color{red}{拉取}$操作即可

1. 操作步骤

2. ![步骤一](../TortoiseGit/images/usage-step-6.png)
3. ![步骤一](../TortoiseGit/images/usage-step-7.png)


### 常见错误及其解决方案

!!! error 推送到远程仓库报错

!!! success  

!!! error 本地修改未提交到
